import styled from "@emotion/styled";
import { css } from "@emotion/react";
import { component, mergeConfig } from "../../engines";
import { tooltipConfig } from "../Tooltip";
import { popoverClasses } from "../Popover";
import { classes, privateTokens, tokens } from "./InformationWrapper.tokens";
var mergedConfig = mergeConfig(tooltipConfig);
var Tooltip = component(mergedConfig);
export var base = /*#__PURE__*/ css("display:flex;flex-direction:column;", "base");
export var ContentWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh0",
    label: "ContentWrapper"
})("display:flex;align-items:flex-start;gap:var(", tokens.contentGap, ");");
export var ContentChildrenWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh1",
    label: "ContentChildrenWrapper"
})("display:flex;flex-direction:column;width:100%;");
export var LabelWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh2",
    label: "LabelWrapper"
})("display:flex;align-items:center;white-space:", function(param) {
    var hasLabel = param.hasLabel;
    return hasLabel ? 'nowrap' : 'normal';
}, ";margin-bottom:", function(param) {
    var hasLabel = param.hasLabel;
    return hasLabel ? "var(".concat(tokens.labelWrapperOffset, ")") : "var(".concat(tokens.labelWrapperTitleCaptionOffset, ")");
}, ";&.", classes.withoutLabel, "{position:relative;margin-bottom:", function(param) {
    var hasCaption = param.hasCaption;
    return hasCaption ? "var(".concat(tokens.labelWrapperTitleCaptionOffset, ")") : '0';
}, ";display:", function(param) {
    var hasCaption = param.hasCaption;
    return hasCaption ? 'flex' : 'block';
}, ";height:", function(param) {
    var hasCaption = param.hasCaption;
    return hasCaption ? 'fit-content' : '0';
}, ";}");
export var IndicatorWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh3",
    label: "IndicatorWrapper"
})("position:", function(param) {
    var hasLabel = param.hasLabel;
    return hasLabel ? 'relative' : 'static';
}, ";display:inline-flex;align-items:center;gap:var(", tokens.indicatorWrapperGap, ");");
export var Label = /*#__PURE__*/ styled("label", {
    target: "em3cvuh4",
    label: "Label"
})("display:inline-flex;");
export var HintWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh5",
    label: "HintWrapper"
})("display:flex;justify-content:center;align-items:center;line-height:0;&.", classes.withoutLabel, "{position:absolute;margin:0;z-index:2;inset:var(", tokens.hintWithoutLabelPlacementOffset, ");", privateTokens.translateYWithoutTitle, ":calc(-1 * var(", tokens.titleCaptionLineHeight, "));transform:", function(param) {
    var hasCaption = param.hasCaption;
    return hasCaption ? "translateY(var(".concat(tokens.labelWrapperTitleCaptionOffset, "))") : "translateY(var(".concat(privateTokens.translateYWithoutTitle, "))");
}, ";}");
export var HintTargetWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh6",
    label: "HintTargetWrapper"
})("color:var(", tokens.hintIconColor, ");display:flex;justify-content:center;align-items:center;");
export var Hint = /*#__PURE__*/ styled(Tooltip, {
    target: "em3cvuh7",
    label: "Hint"
})(HintTargetWrapper, " .", popoverClasses.root, "{width:fit-content;display:flex;align-items:center;justify-content:center;}");
export var HintIconWrapper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh8",
    label: "HintIconWrapper"
})("display:flex;");
export var Indicator = /*#__PURE__*/ styled("div", {
    target: "em3cvuh9",
    label: "Indicator"
})("border-radius:50%;align-self:flex-start;background-color:var(", tokens.indicatorColor, ");width:var(", tokens.indicatorSizeOuter, ");height:var(", tokens.indicatorSizeOuter, ");margin-top:var(", tokens.indicatorMarginTop, ");z-index:2;&.", classes.requiredAlignLeft, "{position:absolute;top:50%;transform:translateY(-50%);left:var(", tokens.indicatorOuterLeft, ");margin-top:unset;align-self:unset;}&.", classes.withoutLabel, "{position:absolute;margin-top:unset;align-self:unset;width:var(", tokens.indicatorSizeInner, ");height:var(", tokens.indicatorSizeInner, ");inset:var(", tokens.indicatorWithoutLabelInner, ");transform:", function(param) {
    var hasCaption = param.hasCaption;
    return hasCaption ? "translateY(var(".concat(tokens.labelWrapperTitleCaptionOffset, "))") : 'translateY(0)';
}, ";&.", classes.requiredAlignLeft, "{inset:var(", tokens.indicatorWithoutLabelInnerLeft, ");}}");
export var OptionalText = /*#__PURE__*/ styled("span", {
    target: "em3cvuh10",
    label: "OptionalText"
})("color:var(", tokens.optionalColor, ");");
export var TitleCaption = /*#__PURE__*/ styled("div", {
    target: "em3cvuh11",
    label: "TitleCaption"
})("display:inline-block;margin-left:auto;margin-top:", function(param) {
    var hasLabel = param.hasLabel;
    return hasLabel ? "var(".concat(tokens.titleCaptionOffset, ")") : 'unset';
}, ";");
export var Helpers = /*#__PURE__*/ styled("div", {
    target: "em3cvuh12",
    label: "Helpers"
})("box-sizing:border-box;display:flex;justify-content:space-between;");
export var LeftHelper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh13",
    label: "LeftHelper"
})();
export var RightHelper = /*#__PURE__*/ styled("div", {
    target: "em3cvuh14",
    label: "RightHelper"
})();
